#include<iostream>
using namespace std;

int main(){
	
	int n, b=0, max, maxi, temp;
	cin>>n;
	
	int a[n];
	
	for(int i=0; i<n; i++){
		
		cin>>a[i];
		
	}
	
	for(int i=0; i<n; i++){
		
		b=b*10+a[i];
		
	}
	for(int i=0; i<n-1; i++){
		
		max=a[i];
		maxi=i;
		
		for(int j=i+1; j<n; j++){
			
			if(max<=a[j]){
				max=a[j];
				maxi=j;
			}
			if(i==n-2 && j==n-1){
				temp=a[i];
				a[i]=a[j];
				a[j]=temp;
			}
			
		}
		
		if(max>a[i]){
			temp=a[i];
			a[i]=a[maxi];
			a[maxi]=temp;
			break;
		}
		
	}
	
	for(int i=0; i<n; i++){
		cout<<a[i]<<" ";
	}
	
}